Package org.eclipse.birt.chart.model.attribute

# Enum LineStyle

java.lang.Object
java.lang.Enum<LineStyle>
org.eclipse.birt.chart.model.attribute.LineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<LineStyle>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum LineStyle extends Enum<LineStyle> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Line Style', and utility methods for working with them. This type represents the possible values for line styles.

See Also:
  - `AttributePackage.getLineStyle()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DASH_DOTTED_LITERAL`
The 'Dash Dotted' literal object.
`DASHED_LITERAL`
The 'Dashed' literal object.
`DOTTED_LITERAL`
The 'Dotted' literal object.
`SOLID_LITERAL`
The 'Solid' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DASH_DOTTED`
The 'Dash Dotted' literal value.
`static final int`
`DASHED`
The 'Dashed' literal value.
`static final int`
`DOTTED`
The 'Dotted' literal value.
`static final int`
`SOLID`
The 'Solid' literal value.
`static final List<LineStyle>`
`VALUES`
A public read-only list of all the 'Line Style' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static LineStyle`
`get(int value)`
Returns the 'Line Style' literal with the specified integer value.
`static LineStyle`
`get(String literal)`
Returns the 'Line Style' literal with the specified literal value.
`static LineStyle`
`getByName(String name)`
Returns the 'Line Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static LineStyle`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LineStyle[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOLID_LITERAL

public static final LineStyle SOLID_LITERAL
The 'Solid' literal object.

If the meaning of 'Solid' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SOLID`

### DASHED_LITERAL

public static final LineStyle DASHED_LITERAL
The 'Dashed' literal object.

If the meaning of 'Dashed' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DASHED`

### DOTTED_LITERAL

public static final LineStyle DOTTED_LITERAL
The 'Dotted' literal object.

If the meaning of 'Dotted' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DOTTED`

### DASH_DOTTED_LITERAL

public static final LineStyle DASH_DOTTED_LITERAL
The 'Dash Dotted' literal object.

If the meaning of 'Dash Dotted' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DASH_DOTTED`

## Field Details

### SOLID

public static final int SOLID
The 'Solid' literal value.

See Also:
  - `SOLID_LITERAL`
  - Constant Field Values

### DASHED

public static final int DASHED
The 'Dashed' literal value.

See Also:
  - `DASHED_LITERAL`
  - Constant Field Values

### DOTTED

public static final int DOTTED
The 'Dotted' literal value.

See Also:
  - `DOTTED_LITERAL`
  - Constant Field Values

### DASH_DOTTED

public static final int DASH_DOTTED
The 'Dash Dotted' literal value.

See Also:
  - `DASH_DOTTED_LITERAL`
  - Constant Field Values

### VALUES

public static final List<LineStyle> VALUES
A public read-only list of all the 'Line Style' enumerators.

## Method Details

### values

public static LineStyle[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LineStyle valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static LineStyle get(String literal)
Returns the 'Line Style' literal with the specified literal value.

### getByName

public static LineStyle getByName(String name)
Returns the 'Line Style' literal with the specified name.

### get

public static LineStyle get(int value)
Returns the 'Line Style' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<LineStyle>`